/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.StringTokenizer;
/**
 *
 * @author Marinela.QuinteroT1
 */

public class validaGrupoPoblacional extends AbstractRule {
	// params="1#2#5#6#8#9#10#11#14#16#17#18#22#23#24#25#27#28#29#35"

	/** Creates a new instance of NoContieneValorObligatorio */
	public validaGrupoPoblacional() {
	}

	public void setParams(Object[] params) {
		String valores = (String) params[0];
		ArrayList<String> listaString = new ArrayList<String>();
		StringTokenizer st = new StringTokenizer(valores, ",");
		while (st.hasMoreTokens()) {
			listaString.add(st.nextToken());
		}
		String[] array = listaString.toArray(new String[listaString.size()]);
		Arrays.sort(array);
		params[0] = array;
		super.setParams(params);
	}

	public boolean performValidation(String field, String[] registro, String nombreArchivo) {
    // Obtener los parámetros de validación
    String[] params = (String[]) getParams()[0];
    
    if (field != null )
    {
    // Verificar si el campo es nulo o está vacío
    if ( field.isEmpty()) {
        return false; 
    }

    // Verificar si el campo no se encuentra en el conjunto de valores
    return Arrays.binarySearch(params, field) < 0;
}
    return false;
}
        }
